Optimiciti Developer PortalOptimiciti Developer Portal
  • Pricing
  • Documentation
  • API Reference
  • Back to Optimiciti
Information
Problem
    Submit an optimization runpostPoll a run's status (never its routes)getCancel the optimization run identified by the problemId parameterpost
Utilities
    Health Checkget
Billing
    This month's task usagegetList public plansget
History
    Get User RunspostGet Run IdspostGet Run SummariespostList Example ScenariospostGet Run ResultspostGet a published example scenariogetUpdate Run NamepostDelete Runpost
Data-processing
    Calculate a cost matrix for the given locationspost
Optimization
    Get Run StatuspostCancel Runpost
System
    Read Rootget
Schemas
powered by Zuplo
Optimiciti API Specification
Optimiciti API Specification

Utilities

Health check - confirm the API is up and answering.


Health Check

GET
https://api.optimiciti.com
/health

Returns the operational status of the API.

Health Check › Responses

Successful Response

A standardized response envelope used across the API.
StandardResponse
success
​boolean

Indicates if the request was successful

Default: true
data
​

The main response payload. Can be an object, array, boolean, or string.

​ResponseError
GET/health
curl https://api.optimiciti.com/health
Example Responses
{ "success": true, "data": {}, "error": { "code": "code", "message": "message", "details": {} } }
json
application/json

ProblemBilling